asn1_array2tree(3)

NAME
asn1_array2tree - API function

SYNOPSIS
#include <libtasn1.h>

int asn1_array2tree(const asn1_static_node * array, asn1_node * definitions, char * errorDescription);

ARGUMENTS

const asn1_static_node * array
    specify the array that contains ASN.1 declarations

asn1_node * definitions
    return the pointer to the structure created by *ARRAY ASN.1 declarations

char * errorDescription
    return the error description.

DESCRIPTION
Creates the structures needed to manage the ASN.1 definitions.
 array is a vector created by asn1_parser2array().

RETURNS
ASN1_SUCCESS if structure was created correctly, ASN1_ELEMENT_NOT_EMPTY if * definitions not NULL, ASN1_IDENTIFIER_NOT_FOUND if in the file there is an identifier that is not defined (see errorDescription for more information), ASN1_ARRAY_ERROR if the array pointed by array is wrong.

COPYRIGHT
Copyright © 2006-2025 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual. As an alternative you may obtain the manual from:

    https://www.gnu.org/software/libtasn1/manual/